<script lang="ts" setup>
/**
 * @Name: index.vue
 * @Description: 店铺信息页面
 * @Author: Cheney
 */

import InfoCard from '/@/views/shop-information/components/InfoCard.vue';
import * as api from '/@/views/shop-information/api';
import { useResponse } from '/@/utils/useResponse';


const cardData = ref();
provide('cardData', cardData);

const loading = ref();

onBeforeMount(() => {
  initData();
});

async function initData() {
  const res = await useResponse({}, api.getCardData, loading);
  cardData.value = res.data;
}
</script>

<template>
  <div class="px-2.5">
    <el-divider content-position="left">
      <div class="font-bold text-xl">信息概览</div>
    </el-divider>
    <el-card v-loading="loading" shadow="never" style="border: none; min-height: 692px;">
      <InfoCard></InfoCard>
    </el-card>
  </div>

</template>

<style scoped>
:deep(.el-divider__text.is-left) {
  background-color: #F5F5F5;
}
</style>
